Courses
A: Update course
AuthorizationBearer <token>
In: header
Path Parameters
course_idstring
The course id identifier
Format
uuidcategory_idsarray<string>
certificate_enabledboolean
Default
truecompletion_messagestring
Default
"Excellent work! You've mastered advanced machine learning concepts."course_typestring
Default
"cohort_based"descriptionstring
Default
"Updated description"difficulty_levelstring
Default
"advanced"discussion_enabledboolean
Default
truedurationinteger
Default
180000email_notificationsboolean
Default
trueinstructionsstring
Default
"This is an advanced course. Prerequisites required."instructor_idsarray<string>
languagestring
Default
"en"max_enrollmentsinteger
Default
50passing_gradeinteger
Default
80passwordstring
Default
"advanced2024"password_protectedboolean
Default
truepublished_atstring
Default
"2024-01-15T10:00:00Z"rating_enabledboolean
Default
truestatusstring
Default
"published"thumbnailstring
Default
"https://example.com/new-thumbnail.jpg"Format
urititlestring
Default
"Advanced Machine Learning"Response Body
curl -X PUT "https://edushade.com/api/v1/admin/learning/courses/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
-H "Content-Type: application/json" \
-d '{
"category_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"certificate_enabled": true,
"completion_message": "Excellent work! You\'ve mastered advanced machine learning concepts.",
"course_type": "cohort_based",
"description": "Updated description",
"difficulty_level": "advanced",
"discussion_enabled": true,
"duration": 180000,
"email_notifications": true,
"instructions": "This is an advanced course. Prerequisites required.",
"instructor_ids": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"language": "en",
"max_enrollments": 50,
"passing_grade": 80,
"password": "advanced2024",
"password_protected": true,
"published_at": "2024-01-15T10:00:00Z",
"rating_enabled": true,
"status": "published",
"thumbnail": "https://example.com/new-thumbnail.jpg",
"title": "Advanced Machine Learning"
}'{}Empty
Empty
Empty